#
# spec file for package lua-lpeg
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define flavor lua51
%define _name lgi
%define mod_name lpeg
Version:        1.0.1
Release:        bp156.3.4
Summary:        Parsing Expression Grammars For Lua
License:        MIT
Group:          Development/Libraries/Other
Url:            http://www.inf.puc-rio.br/~roberto/lpeg
Source:         http://www.inf.puc-rio.br/~roberto/lpeg/lpeg-%{version}.tar.gz
BuildRequires:  %{flavor}-devel
Requires:       %{flavor}
%if "%{flavor}" == "lua53"
Provides:       lua-%{mod_name} = %{version}
Obsoletes:      lua-%{mod_name} < %{version}
%endif
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
Provides:       %{flavor}-LPeg = %{version}
Obsoletes:      %{flavor}-LPeg < %{version}
%endif

%description
LPeg is a new pattern-matching library for Lua, based on Parsing Expression Grammars (PEGs).

%package doc
Summary:        Lua Documentation for %{mod_name}
Group:          Development/Languages/Other
Requires:       %{name} = %{version}

%description doc
Documentation and examples included with the library, sometimes
generated by luadoc or ldoc.

%prep
%setup -q -n lpeg-%{version}

# Set our cflags
sed -i \
    -e 's:../lua/:%{lua_incdir}:' \
    -e 's: -O2: %{optflags}:g' \
    makefile

%build
make -j1

%install

mkdir -p %{buildroot}%{_docdir}/%{name}
mkdir -p %{buildroot}%{lua_archdir}

install lpeg.so %{buildroot}%{lua_archdir}

%files
%dir %{lua_archdir}
%{lua_archdir}/*

%files doc
%doc re.html lpeg.html HISTORY

%changelog
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Thu Jul 13 2017 tchvatal@suse.com
- Switch to multibuild spec for all lua versions
* Fri Feb 17 2017 callumjfarmer13@gmail.com
- Version to 1.0.1
* Mon Mar  2 2015 tchvatal@suse.com
- Version bump to 0.12.1:
  * no upstream changelog provided
* Mon Mar  2 2015 tchvatal@suse.com
- Initial commit. Required for neovim.
